                        zeusemulate "48K"               ;

                        org $8000                       ;

AppStart                ld a,2                          ;
                        call 5633                       ;

Lp                      ld de,sString                   ;
                        ld bc,lString                   ;
                        call 8252                       ;
                        jp Lp                           ;

sString                 db "Hello World "               ;
lString                 equ $-sString                   ;

AppLength               equ *-AppStart                  ;

Zeus_PC                 equ AppStart                    ;

; Save this as a mode 0 tzx

                        output_tzx "Mode0.tzx","Mode0","",AppStart,AppLength,0

; Save this as a mode 0 tap

;                        output_tap "Mode0.tap","Mode0","",AppStart,AppLength,0

/* From the History/Documentation

    MODE 0 (Code block for 16K,48K, or first 48K of a 128K models supported)

    To generate a "CODE" block for storing binary data:
    output_tzx "pc filename","tape filename","comment",Start,Length

    From Zeus v3.53 onward you can specify a diffent load address like this:

    output_tzx "pc filename","tape filename","comment",Start,Length,0,LoadAddr

    Note the "0" before the load address, to specify it's mode 0.

    Where "pc filename" is the name to be used for the file, "tape filename" is the name to be
    put in the tzx file for the code block, "comment" is any comment required in the file, Start
    is the address in memory ($4000 ..  $FFFF) of the first byte and Length is the number of bytes.
    On 128K machines this cannot load to the pages that do not map into main memory normally.

    eg:

    output_tzx "darkstar.tzx","","",$8000,$4000
    output_tzx "darkstar.tzx","beefburger","not the original",$8000,$4000

    Use LOAD "" CODE to load this.

*/

