                        zeusemulate "48K"               ;

                        org $8000                       ;

AppStart                ld a,2                          ;
                        call 5633                       ;

Lp                      ld de,sString                   ;
                        ld bc,lString                   ;
                        call 8252                       ;
                        jp Lp                           ;

sString                 db "Hello World "               ;
lString                 equ $-sString                   ;

AppLength               equ *-AppStart                  ;

Zeus_PC                 equ AppStart                    ;

                        output_tzx "Mode2.tzx","Mode2","",AppStart,AppLength,2

/* From the History/Documentation

    MODE 2 (Program. 48K, or first 48K of a 128K models supported)

    Zeus can also put the code it generates inside a REM statement and save this as a BASIC
    programme that automatically runs the code.

    This mode can be used on any model of Spectrum, but on the 128K models it cannot load to the
    pages that do not map into main memory normally.

    During tape loading the REM statement code is placed in memory at address $5BC0, so if you
    assemble and save code starting at that address it is run there. Otherwise Zeus prepends a
    chunk of code at the start of the REM to move your code into the required position.

    output_tzx "pc filename","tape filename","comment",Start,Length, 2 ,ExecuteAddr
    where the 2 indicates this is the required TZX format.

    Use LOAD "" to load this. Or will load automatically on most emulators.

*/

